Apache JMeter

## org.apache.jmeter.control
Class TransactionController

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.control.GenericController
              org.apache.jmeter.control.TransactionController

All Implemented Interfaces:
  Serializable, Cloneable, Controller, SampleListener, TestElement

    public class TransactionController

extends GenericController
implements SampleListener, Controller, Serializable

Transaction Controller to measure transaction times There are two different modes for the controller: - generate additional total sample after nested samples (as in JMeter 2.2) - generate parent sampler containing the nested samples

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.control.GenericController
`current, subControllersAndSamplers`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`TransactionController()` Creates a Transaction Controller

Method Summary
`boolean` `isIncludeTimers()` Whether to include timer and pre/post processor time in overall sample.
`boolean` `isParent()`
`Sampler` `next()` Determines the next sampler to be processed.
`protected Sampler` `nextIsAController(Controller controller)` Called by next() if the element is a Controller, and returns the next sampler from the controller.
`void` `sampleOccurred(SampleEvent se)` A sample has started and stopped.
`void` `sampleStarted(SampleEvent e)` A sample has started.
`void` `sampleStopped(SampleEvent e)` A sample has stopped.
`void` `setIncludeTimers(boolean includeTimers)` Whether to include timers and pre/post processor time in overall sample.
`void` `setParent(boolean _parent)`

Methods inherited from class org.apache.jmeter.control.GenericController
`addIterationListener, addTestElement, currentReturnedNull, fireIterationStart, fireIterEvents, getCurrentElement, getIterCount, getSubControllers, incrementCurrent, incrementIterCount, initialize, isDone, isFirst, nextIsASampler, nextIsNull, reInitialize, removeCurrentElement, resetCurrent, resetIterCount, setCurrentElement, setDone, setFirst`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.control.Controller
`addIterationListener, initialize, isDone`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### TransactionController

    public TransactionController()

  Creates a Transaction Controller

Method Detail

### setParent

    public void setParent(boolean _parent)

### isParent

    public boolean isParent()

### next

    public Sampler next()

  Description copied from class: `GenericController`

  Determines the next sampler to be processed.

  If isDone, returns null.

  Gets the list element using current pointer. If this is null, calls `GenericController.nextIsNull()`.

  If the list element is a sampler, calls `GenericController.nextIsASampler(Sampler)`, otherwise calls `GenericController.nextIsAController(Controller)`

  If any of the called methods throws NextIsNullException, returns null, otherwise the value obtained above is returned.

  Specified by:
    `next` in interface `Controller`
  Overrides:
    `next` in class `GenericController`
  Returns:
    the next sampler or null
  See Also:
    `Controller.next()`

### nextIsAController

    protected Sampler nextIsAController(Controller controller)
                                 throws NextIsNullException

  Description copied from class: `GenericController`
  Called by next() if the element is a Controller, and returns the next sampler from the controller. If this is null, then updates the current pointer and makes recursive call to next().

  Overrides:
    `nextIsAController` in class `GenericController`
  Returns:
    the next sampler
  Throws:
    `NextIsNullException`

### sampleOccurred

    public void sampleOccurred(SampleEvent se)

  Description copied from interface: `SampleListener`
  A sample has started and stopped.

  Specified by:
    `sampleOccurred` in interface `SampleListener`

### sampleStarted

    public void sampleStarted(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started.

  Specified by:
    `sampleStarted` in interface `SampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `SampleListener`

### setIncludeTimers

    public void setIncludeTimers(boolean includeTimers)

  Whether to include timers and pre/post processor time in overall sample.

  Parameters:
    `includeTimers` -

### isIncludeTimers

    public boolean isIncludeTimers()

  Whether to include timer and pre/post processor time in overall sample.

  Returns:
    boolean (defaults to true for backwards compatibility)

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.